package com.huiju.estateagents.excel.redPacket;

import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import lombok.Data;

/**
 * 账户消费记录导出
 *
 * @author gusy
 * @date 2020/6/5 16:36
 */
@Data
public class AccountConsumeRecordExport {

    @ColumnWidth(15)
    @ExcelProperty(value = "订单编号", index = 0)
    private String orderId;


    @ColumnWidth(15)
    @ExcelProperty(value = "消费金额", index = 1)
    private String amount;


    @ColumnWidth(15)
    @ExcelProperty(value = "消费方式", index = 2)
    private String consumeType;


    @ColumnWidth(15)
    @ExcelProperty(value = "活动名称", index = 3)
    private String activityName;

    @ColumnWidth(15)
    @ExcelProperty(value = "消费下单时间", index = 4)
    private String createDate;


    @ColumnWidth(15)
    @ExcelProperty(value = "接收人手机号码", index = 5)
    private String phone;

    @ColumnWidth(15)
    @ExcelProperty(value = "消费状态", index = 6)
    private String consumeStatus;
}
