package com.huiju.estateagents.eContract.service;

import com.huiju.estateagents.base.ResponseBean;
import com.huiju.estateagents.eContract.entity.TaCompanyOrg;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * <p>
 * 企业和组织关系表  服务类
 * </p>
 *
 * @author fxf
 * @since 2020-03-26
 */
public interface ITaCompanyOrgService extends IService<TaCompanyOrg> {

    /**
     * 条件查询组织和公司关联信息
     *
     * @param pageNum
     * @param pageSize
     * @param companyName     企业名称
     * @param companyCode     企业编号
     * @param certifiedStatus 实名认证状态
     * @param companyStatus   企业状态
     * @param orgName         组织名称
     * @param miniAppName     小程序名称
     * @return
     */
    ResponseBean listCompanyOrg(Integer pageNum, Integer pageSize, String companyName, String companyCode, String certifiedStatus, Integer companyStatus, String orgName, String miniAppName);
}
